package com.bocloud.cmp.provider.campus;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.campus.DeviceVlanModel;

import java.util.List;

public interface DeviceVlanProvider extends SuperProvider {

    default BocloudResult<List<DeviceVlanModel>> list(Long deviceId) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<DeviceVlanModel> create(Long deviceId, DeviceVlanModel model) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<?> remove(Long deviceId, Integer vlanUuid) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<List<Long>> addInterfaceToVlan(Long deviceId, Integer vlanId, List<Long> portIds) {
        throw new RuntimeException("unimplemented");
    }

    default BocloudResult<List<Long>> removeInterfaceFromVlan(Long deviceId, Integer vlanId, List<Long> portIds) {
        throw new RuntimeException("unimplemented");
    }




}
